<script lang="ts">
    import type { Menu } from '$lib/TypeDefinitions.js'
    import SidebarMenu from './SidebarMenu.svelte';
    import OutsideClick from '../OutsideClick.svelte';
    import {
        SIDEBAR_SIZE_HIDDEN,
        sidebar_size,
        trigger_el,
        trigger_elm
    } from '$lib/ui/Store.js'
    import BigLogo from "$lib/images/logo.svg"

    function outside_click(){
            sidebar_size.set($SIDEBAR_SIZE_HIDDEN);
    }

    export let menu: Menu[];
</script>

<OutsideClick on:clickoutside={outside_click} exclude={[$trigger_el, trigger_elm]}>
    <div class="sidebar" style="width: {$sidebar_size}px">
        <img src={BigLogo} alt="Perinet Logo" width="180"/>
        <SidebarMenu menu={menu}/>
    </div>
</OutsideClick>

<style>
    .sidebar {
        height: 100%;
        width: 0;
        position: fixed;
        top: 0;
        left: 0;
        overflow-x: hidden;
        transition: 0.5s;
        padding-top: 5px;
        border: 0px;
        border-color: #2A2459;
        background-color: #f6f6f6;
    }
    .sidebar img {
        padding-top: 5px;
        padding-left: 5px;
    }
</style>
